Bug 103851 - RPMMIRE_DEFAULT should quote '+' and exact searches should use RPMMIRE_STRCMP
RPMMIRE_DEFAULT should quote '+' and exact searches should use RPMMIRE_STRCMP
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-09-05 14:22 EDT by Michael Schröder
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-26 11:32:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch that fixes problem (2.51 KB, patch)
2003-09-05 14:23 EDT, Michael Schröder
no flags Details | Diff

  None (edit)
Description Michael Schröder 2003-09-05 14:22:09 EDT
Description of problem:

rpm's with '+' in the version aren't handled correctly (e.g. the old version
isn't erased if an update is made). This is because the '+' is treated as
regexp character and not quoted. I also changed the code so that searches
if a package is already installed use MIRE_STRCMP.
Comment 1 Michael Schröder 2003-09-05 14:23:04 EDT
Created attachment 94249 [details]
patch that fixes problem
Comment 2 Jeff Johnson 2003-12-26 11:32:34 EST
Thanks for patch, added to CVS for rpm-4.3.

Note You need to log in before you can comment on or make changes to this bug.